//
//  InterfaceController.swift
//  openParentAppSample WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/19.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // iOSアプリからの戻りの値を表示するラベル
    @IBOutlet weak var resultLabel: WKInterfaceLabel!
    
    // YESボタンとAction接続する
    @IBAction func tapYes() {
        // iOSアプリに"Yes"を送る
        sendToParentApp("Yes")
    }
    
    // NOボタンとAction接続する
    @IBAction func tapNo() {
        // iOSアプリに"No"を送る
        sendToParentApp("No")
    }
    
    // iOSアプリにメッセージを送る
    func sendToParentApp(message:String) {
        // 送信するuserInfo
        let userInfo = ["message": message]
        // iOSアプリにuserInfoとreply関数を送る
        let isSuccess = WKInterfaceController.openParentApplication(userInfo, reply: replyFunc)
        // openParentApplication()の成功
        if isSuccess {
            println("succeed")
        } else {
            println("failed")
        }
    }
    
    // userInfoとともに送信する関数
    func replyFunc(replyInfo: [NSObject: AnyObject]!, error: NSError!) {
        // 戻ってきたreplyInfoからvalueを取り出す
        let result = replyInfo["value"] as? Int
        // resultLabelラベルに戻ってきた値を表示する
        resultLabel.setText(String(result!))
    }
    
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
