//
//  ViewController.swift
//  myAppGroupSample
//
//  Created by yoshiyuki oshige on 2015/04/19.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    // ラベルとOutlet接続する
    @IBOutlet weak var myLabel: UILabel!
    // スライダとOutlet接続する
    @IBOutlet weak var mySlider: UISlider!
    
    // App GroupのID　＊Member Centerで登録したIDに書き換えてください。
    let groupName = "group.com.oshige.myAppGroupSample"
    
    // スライダの値が変わったら実行する
    @IBAction func valueChanged(sender: UISlider) {
        // スライダの値を四捨五入する
        let value = round(mySlider.value)
        // スライダを四捨五入した値にセットし直す
        mySlider.value = value
        // 値をラベルに表示する
        myLabel.text = value.description
        
        // UserDefaultにアクセスする
        let def = NSUserDefaults(suiteName: groupName)
        // スライダの値を保存する
        def?.setObject(value, forKey: "value")
        
    }
    
    // 保存してある値にスライダを設定する 
    func setSliderValue() {
        // 保存データにアクセスする
        let def = NSUserDefaults(suiteName: groupName)
        // 保存してある値を取り出す
        let value = def?.floatForKey("value")
        // スライダとラベルに値を設定する
        if let sliderValue = value {
            mySlider.value = sliderValue
            myLabel.text = sliderValue.description
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // スライダの最大値／最小値を設定する
        mySlider.minimumValue = 0
        mySlider.maximumValue = 5
        // 保存してある値にスライダを設定する
        setSliderValue()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

