//
//  InterfaceController.swift
//  myAppGroupSample WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/19.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // スライダとOutlet接続する
    @IBOutlet weak var myInterfaceSlider: WKInterfaceSlider!
    // App GroupのID　＊Member Centerで登録したIDに書き換えてください。
    let groupName = "group.com.oshige.myAppGroupSample"
    
    // スライダの値が変わったら実行する
    @IBAction func valueChanged(value: Float) {
        // 保存データにアクセスする
        let def = NSUserDefaults(suiteName: groupName)
        // スライダの値を保存する
        def?.setObject(round(value), forKey: "value")
    }
    
    // 保存してある値にスライダを設定する
    func setSliderValue() {
        // UserDefaultにアクセスする
        let def = NSUserDefaults(suiteName: groupName)
        // 保存してある値を取り出す
        let value = def?.floatForKey("value")
        // スライダに値を設定する
        if let sliderValue = value {
            myInterfaceSlider.setValue(sliderValue)
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        // Configure interface objects here.
    }

    override func willActivate() {
        super.willActivate()
        // 保存してある値にスライダを設定する
        setSliderValue()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
