//
//  InterfaceController.swift
//  myAppGroupSaveFile WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/20.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // App Group ID　＊Member Centerで登録したIDに書き換えてください。
    let groupName = "group.com.oshige.myAppGroupSaveFile"
    // 保存ファイル
    let fileName = "myFile.txt"
    // ラベルとOutlet接続する
    @IBOutlet weak var myLabel: WKInterfaceLabel!

    // ボタンとAction接続する
    @IBAction func readText() {
        // 読み込むファイルのパスを取得する
        let fileManager = NSFileManager.defaultManager()
        let url = fileManager.containerURLForSecurityApplicationGroupIdentifier(groupName)
        let thePath = url?.URLByAppendingPathComponent(fileName).path
        
        // ファイルからテキストを読み込む
        if let path = thePath {
            let textData = String(contentsOfFile: path, encoding: NSUTF8StringEncoding, error: nil)
            // 読み込んだテキストをラベルに表示する
            myLabel.setText(textData)  
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}

