//
//  ViewController.swift
//  myAppGroupSaveFile
//
//  Created by yoshiyuki oshige on 2015/04/20.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // App Group ID　＊Member Centerで登録したIDに書き換えてください。
    let groupName = "group.com.oshige.myAppGroupSaveFile"
    // 保存ファイル
    let fileName = "myFile.txt"
    // テキストビューとOutlet接続する
    @IBOutlet weak var writeTextView: UITextView!

    @IBAction func write(sender: AnyObject) {
        // ファイルに書き込むデータ
        let textData = writeTextView.text
        
        // 書き込むファイルのパスを取得する
        let fileManager = NSFileManager.defaultManager()
        let url = fileManager.containerURLForSecurityApplicationGroupIdentifier(groupName)
        let thePath = url?.URLByAppendingPathComponent(fileName).path
        
        // ファイルにテキストを保存する
        if let path = thePath {
            // ファイルが無かったら作る
            if fileManager.fileExistsAtPath(path) == false {
                fileManager.createFileAtPath(path, contents: nil, attributes: nil)
            }
            // ファイルへの書き込み
            textData.writeToFile(path, atomically: true, encoding: NSUTF8StringEncoding, error: nil)
        }
    }

    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

