//
//  AppDelegate.swift
//  HandoffUserActivity
//
//  Created by yoshiyuki oshige on 2015/04/27.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    // Apple WatchからのHandoffのアクティビティを受けて処理する
    func application(application: UIApplication, continueUserActivity userActivity: NSUserActivity, restorationHandler: ([AnyObject]!) -> Void) -> Bool {
        
        // ViewControllerを調べる
        let vc = self.window?.rootViewController as? ViewController
        // アクティビティからuserInfoを取り出す
        if let info = userActivity.userInfo {
            // ラベルに表示する
            let identifier = info["identifier"] as! String
            vc?.myLabel.text = identifier
        }
        // アクティビティからURLを取り出す
        if let webpageURL = userActivity.webpageURL {
            // Webページを開く
            let urlReq = NSURLRequest(URL: webpageURL)
            vc?.myWeb.loadRequest(urlReq)
        }
        
        return true
    }
    
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
        // Override point for customization after application launch.
        return true
    }

    func applicationWillResignActive(application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    }

    func applicationWillEnterForeground(application: UIApplication) {
        // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
    }

    func applicationDidBecomeActive(application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }


}

